PortAudio 2.0

Data Fields
PaDeviceInfo Struct Reference

`#include <portaudio.h>`

## Data Fields
int | structVersion
const char * | name
PaHostApiIndex | hostApi
int | maxInputChannels
int | maxOutputChannels
PaTime | defaultLowInputLatency
PaTime | defaultLowOutputLatency
PaTime | defaultHighInputLatency
PaTime | defaultHighOutputLatency
double | defaultSampleRate

## Detailed Description

A structure providing information and capabilities of PortAudio devices. Devices may support input, output or both input and output.

Definition at line 500 of file portaudio.h.

## Field Documentation

## ◆ defaultHighInputLatency

PaTime PaDeviceInfo::defaultHighInputLatency

Default latency values for robust non-interactive applications (eg. playing sound files).

Definition at line 513 of file portaudio.h.

## ◆ defaultHighOutputLatency

PaTime PaDeviceInfo::defaultHighOutputLatency

Definition at line 514 of file portaudio.h.

## ◆ defaultLowInputLatency

PaTime PaDeviceInfo::defaultLowInputLatency

Default latency values for interactive performance.

Definition at line 510 of file portaudio.h.

## ◆ defaultLowOutputLatency

PaTime PaDeviceInfo::defaultLowOutputLatency

Definition at line 511 of file portaudio.h.

## ◆ defaultSampleRate

double PaDeviceInfo::defaultSampleRate

Definition at line 516 of file portaudio.h.

## ◆ hostApi

PaHostApiIndex PaDeviceInfo::hostApi

note this is a host API index, not a type id

Definition at line 504 of file portaudio.h.

## ◆ maxInputChannels

int PaDeviceInfo::maxInputChannels

Definition at line 506 of file portaudio.h.

## ◆ maxOutputChannels

int PaDeviceInfo::maxOutputChannels

Definition at line 507 of file portaudio.h.

## ◆ name

const char* PaDeviceInfo::name

Definition at line 503 of file portaudio.h.

## ◆ structVersion

int PaDeviceInfo::structVersion

Definition at line 502 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h